Bug 1294242 - audacity-2.1.2-0.7.rc1.fc23.x86_64 segfaults on startup
Summary: audacity-2.1.2-0.7.rc1.fc23.x86_64 segfaults on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 23
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-25 17:12 UTC by Tom London
Modified: 2016-07-09 20:14 UTC (History)
6 users (show)

Fixed In Version: audacity-2.1.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-05 22:21:50 UTC
Type: Bug


Attachments (Terms of Use)
strace of audacity (383.92 KB, text/plain)
2015-12-31 15:33 UTC, Tom London
no flags Details

Description Tom London 2015-12-25 17:12:50 UTC
Description of problem:


(gdb) run
Starting program: /usr/bin/audacity 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffd2977700 (LWP 4832)]
[New Thread 0x7fffd2176700 (LWP 4833)]
[New Thread 0x7fffd1975700 (LWP 4834)]

Program received signal SIGSEGV, Segmentation fault.
strlen () at ../sysdeps/x86_64/strlen.S:106
106		movdqu	(%rax), %xmm12
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64
(gdb) bt
#0  0x00007ffff06d2b5a in strlen () at ../sysdeps/x86_64/strlen.S:106
#1  0x00007ffff1a591f3 in g_strdup (str=str@entry=0x54 <error: Cannot access memory at address 0x54>) at gstrfuncs.c:362
#2  0x00007fffd5d73b05 in CORBA_Context_set_one_value (ctx=0x555556476bc0, prop_name=prop_name@entry=0x7fffd7b10a4f "display", value=0x54 <error: Cannot access memory at address 0x54>, ev=ev@entry=0x7fffffffdc80) at corba-context.c:115
#3  0x00007fffd7adfad6 in do_low_level_init () at bonobo-ui-main.c:197
#4  0x00007fffd6b0d77e in gnome_program_postinit (program=
    0x55555640c0e0 [GnomeProgram]) at gnome-program.c:1835
#5  0x00007fffd6b0db4a in gnome_program_init_common (type=93825007643920, app_id=app_id@entry=0x5555563d6260 "Audacity", app_version=app_version@entry=0x555555ecccd9 "1.0", module_info=module_info@entry=0x7fffd7fc7360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556370fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90, nparams=-1, params=0x0)
    at gnome-program.c:2072
#6  0x00007fffd6b0dd65 in gnome_program_initv (type=<optimized out>, app_id=app_id@entry=0x5555563d6260 "Audacity", app_version=app_version@entry=0x555555ecccd9 "1.0", module_info=module_info@entry=0x7fffd7fc7360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556370fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90) at gnome-program.c:2109
#7  0x00007fffd6b0de3f in gnome_program_init (app_id=0x5555563d6260 "Audacity", app_version=0x555555ecccd9 "1.0", module_info=0x7fffd7fc7360 <module_info>, argc---Type <return> to continue, or q <return> to quit---
=1, argv=0x555556370fe8 <GnomeShutdownInstance+8>, first_property_name=0x0)
    at gnome-program.c:1888
#8  0x00005555559674b4 in GnomeShutdown::GnomeShutdown() (this=0x555556370fe0 <GnomeShutdownInstance>) at AudacityApp.cpp:556
#9  0x00005555558ef88e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() (__initialize_p=1, __priority=65535) at AudacityApp.cpp:583
#10 0x00005555558ef88e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() ()
    at AudacityApp.cpp:2056
#11 0x0000555555e4e63d in __libc_csu_init ()
#12 0x00007ffff066850f in __libc_start_main (main=
    0x5555558ef820 <main(int, char**)>, argc=1, argv=0x7fffffffe018, init=
    0x555555e4e5f0 <__libc_csu_init>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe008) at libc-start.c:245
#13 0x000055555591ad69 in _start ()
(gdb) 



Version-Release number of selected component (if applicable):
audacity-2.1.2-0.7.rc1.fc23.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Update to audacity-2.1.2-0.7.rc1.fc23.x86_64
2. Start it up
3.

Actual results:
SIGSEGV

Expected results:


Additional info:

Comment 1 David Timms 2015-12-27 01:02:26 UTC
Thanks for the crash report Tom. I'm no wiz with gdb or Audacity source, but just in case, are you able to repeat the gdb session with the suggested debuginfo's installed, and then provide the output of; thread apply all bt

Has Audacity run on this installation before (and which was the preceding version that worked) ?

Could you try renaming your ~/audacity* to eg ~/...orig and trying the startup  again (if this fixes startup - I would be keen to work out what in .audacity is causing the problem) ?

Comment 2 Tom London 2015-12-27 15:32:34 UTC
I moved ~/.audacity_files to ~/.audacity_files.old, and 'debug-install'ed the missing package (interestingly, 'dnf debuginfo-install' wouldn't work.

Here is the output from gdb. Happens every time. 

Audacity runs fine if I downgrade to audacity-2.1.1-1.fc22.x86_64

[tbl@localhost ~]$ gdb audacity
GNU gdb (GDB) Fedora 7.10.1-30.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from audacity...Reading symbols from /usr/lib/debug/usr/bin/audacity.debug...done.
done.
(gdb) set pagination off
(gdb) run
Starting program: /usr/bin/audacity 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffd2977700 (LWP 3773)]
[New Thread 0x7fffd2176700 (LWP 3774)]
[New Thread 0x7fffd1975700 (LWP 3775)]

Program received signal SIGSEGV, Segmentation fault.
strlen () at ../sysdeps/x86_64/strlen.S:106
106		movdqu	(%rax), %xmm12
(gdb) thread apply all bt full

Thread 4 (Thread 0x7fffd1975700 (LWP 3775)):
#0  0x00007ffff073effd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff1a3b16c in g_main_context_iterate (priority=2147483647, n_fds=2, fds=0x7fffc40010c0, timeout=<optimized out>, context=0x7fffcc011d20) at gmain.c:4135
        poll_func = 0x7ffff1a4a060 <g_poll>
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 2
        allocated_nfds = 2
        fds = 0x7fffc40010c0
#2  0x00007ffff1a3b16c in g_main_context_iterate (context=0x7fffcc011d20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 2
        allocated_nfds = 2
        fds = 0x7fffc40010c0
#3  0x00007ffff1a3b4f2 in g_main_loop_run (loop=0x7fffcc011cb0) at gmain.c:4034
        __func__ = "g_main_loop_run"
#4  0x00007ffff205c336 in gdbus_shared_thread_func (user_data=0x7fffcc011cf0) at gdbusprivate.c:246
        data = 0x7fffcc011cf0
#5  0x00007ffff1a61835 in g_thread_proxy (data=0x555556420b20) at gthread.c:778
        thread = <optimized out>
#6  0x00007ffff776d60a in start_thread (arg=0x7fffd1975700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7fffd1975700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736709744384, -3210977761971157522, 140736726525887, 140736709744384, 8388608, 0, 3211052869789140462, 3210994315641603566}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff074aa9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fffd2176700 (LWP 3774)):
#0  0x00007ffff073effd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff1a3b16c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7fffbc0008c0, timeout=<optimized out>, context=0x7fffcc0114a0) at gmain.c:4135
        poll_func = 0x7ffff1a4a060 <g_poll>
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffbc0008c0
#2  0x00007ffff1a3b16c in g_main_context_iterate (context=context@entry=0x7fffcc0114a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffbc0008c0
#3  0x00007ffff1a3b27c in g_main_context_iteration (context=0x7fffcc0114a0, may_block=may_block@entry=1) at gmain.c:3901
        retval = <optimized out>
#4  0x00007ffff1a3b2b9 in glib_worker_main (data=<optimized out>) at gmain.c:5672
#5  0x00007ffff1a61835 in g_thread_proxy (data=0x555556420ad0) at gthread.c:778
        thread = <optimized out>
#6  0x00007ffff776d60a in start_thread (arg=0x7fffd2176700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7fffd2176700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736718137088, -3210977761971157522, 140736726525535, 140736718137088, 8388608, 0, 3211053968763897326, 3210994315641603566}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff074aa9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fffd2977700 (LWP 3773)):
#0  0x00007ffff073effd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff1a3b16c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7fffcc0010e0, timeout=<optimized out>, context=0x555556426c90) at gmain.c:4135
        poll_func = 0x7ffff1a4a060 <g_poll>
        max_priority = 2147483647
        timeout = 25000
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffcc0010e0
#2  0x00007ffff1a3b16c in g_main_context_iterate (context=context@entry=0x555556426c90, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = 25000
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffcc0010e0
#3  0x00007ffff1a3b27c in g_main_context_iteration (context=context@entry=0x555556426c90, may_block=may_block@entry=1) at gmain.c:3901
        retval = <optimized out>
#4  0x00007fffd297f2ad in dconf_gdbus_worker_thread (user_data=0x555556426c90) at dconf-gdbus-thread.c:82
        context = 0x555556426c90
#5  0x00007ffff1a61835 in g_thread_proxy (data=0x5555564204f0) at gthread.c:778
        thread = <optimized out>
#6  0x00007ffff776d60a in start_thread (arg=0x7fffd2977700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7fffd2977700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736726529792, -3210977761971157522, 140737488344399, 140736726529792, 8388608, 0, 3211055067738654190, 3210994315641603566}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff074aa9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7ffff7f14b00 (LWP 3769)):
#0  0x00007ffff06d2b5a in strlen () at ../sysdeps/x86_64/strlen.S:106
#1  0x00007ffff1a591f3 in g_strdup (str=str@entry=0x54 <error: Cannot access memory at address 0x54>) at gstrfuncs.c:362
        new_str = <optimized out>
        length = <optimized out>
#2  0x00007fffd5d73b05 in CORBA_Context_set_one_value (ctx=0x555556477040, prop_name=prop_name@entry=0x7fffd7b10a4f "display", value=0x54 <error: Cannot access memory at address 0x54>, ev=ev@entry=0x7fffffffdc80) at corba-context.c:115
        old_nom = 0x55555640c0e0
        old_value = 0x38
        __func__ = "CORBA_Context_set_one_value"
#3  0x00007fffd7adfad6 in do_low_level_init () at bonobo-ui-main.c:197
        context = <optimized out>
        ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, _release = 0 '\000'}}
        display = <optimized out>
        xdisplay = 0x55555641c840
#4  0x00007fffd6b0d77e in gnome_program_postinit (program=0x55555640c0e0 [GnomeProgram]) at gnome-program.c:1835
        i = <optimized out>
        a_module = <optimized out>
#5  0x00007fffd6b0db4a in gnome_program_init_common (type=93825007643920, app_id=app_id@entry=0x5555563d6260 "Audacity", app_version=app_version@entry=0x555555ecccd9 "1.0", module_info=module_info@entry=0x7fffd7fc7360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556370fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90, nparams=-1, params=0x0) at gnome-program.c:2072
        program = 0x55555640c0e0 [GnomeProgram]
        klass = <optimized out>
        i = <optimized out>
#6  0x00007fffd6b0dd65 in gnome_program_initv (type=<optimized out>, app_id=app_id@entry=0x5555563d6260 "Audacity", app_version=app_version@entry=0x555555ecccd9 "1.0", module_info=module_info@entry=0x7fffd7fc7360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556370fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90) at gnome-program.c:2109
#7  0x00007fffd6b0de3f in gnome_program_init (app_id=0x5555563d6260 "Audacity", app_version=0x555555ecccd9 "1.0", module_info=0x7fffd7fc7360 <module_info>, argc=1, argv=0x555556370fe8 <GnomeShutdownInstance+8>, first_property_name=0x0) at gnome-program.c:1888
        program = <optimized out>
        args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fffffffdea0, reg_save_area = 0x7fffffffddb0}}
#8  0x00005555559674b4 in GnomeShutdown::GnomeShutdown() (this=0x555556370fe0 <GnomeShutdownInstance>) at AudacityApp.cpp:556
        gnome_program_init = 0x7fffd6b0dd70 <gnome_program_init>
        libgnomeui_module_info_get = 0x7fffd7d7ddb0 <libgnomeui_module_info_get>
        gnome_master_client = 0x7fffd7d57000 <gnome_master_client>
#9  0x00005555558ef88e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() (__initialize_p=1, __priority=65535) at AudacityApp.cpp:583
#10 0x00005555558ef88e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() () at AudacityApp.cpp:2056
#11 0x0000555555e4e63d in __libc_csu_init ()
#12 0x00007ffff066850f in __libc_start_main (main=0x5555558ef820 <main(int, char**)>, argc=1, argv=0x7fffffffe018, init=0x555555e4e5f0 <__libc_csu_init>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe008) at libc-start.c:245
        result = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1, 140737236435616, 140737340062168, 140737226741977, 140737340062144, 1, 1, 140737351956314}, mask_was_saved = 0}}, priv = {pad = {0x1, 0x7fffffffe018, 0x7fffffffe028, 0x7ffff7ffe148}, data = {prev = 0x1, cleanup = 0x7fffffffe018, canceltype = -8152}}}
        not_first_call = <optimized out>
#13 0x000055555591ad69 in _start ()
(gdb)

Comment 3 Tom London 2015-12-27 15:58:31 UTC
Realized the "previous version" was an older fc22 package.

So I recompiled/rebuilt the fc23 package on my system (with -with mp3): audacity.x86_64 2.1.1-1.mp3.fc23

It runs fine.

Comment 4 Tom London 2015-12-29 18:11:49 UTC
A bit more:

I locally compiled/built two audacity packages: audacity-2.1.1-1.fc23 and audacity-2.1.2-0.7.rc1.fc23.

The first (2.1.1-1.fc23) works just fine.

The second ( 2.1.2-0.7.rc1.fc23) immediately segfaults as described above.

Comment 5 David Timms 2015-12-31 10:50:40 UTC
So we need to work out what differs between two of my systems where it works, and your system. Perhaps other settings or the audio IO type selected are coming into play?

Might be worth creating a new user, and testing with that user ?

Comment 6 David Timms 2015-12-31 11:03:35 UTC
another: https://bugzilla.redhat.com/show_bug.cgi?id=1294499

Can you please also get a plain terminal startup and attach the terminal trace, so that I may compare with the other crash report and startup on my machines where it succeeds ?

Comment 7 Tom London 2015-12-31 15:33:51 UTC
Created attachment 1110788 [details]
strace of audacity

(In reply to David Timms from comment #5)
> So we need to work out what differs between two of my systems where it
> works, and your system. Perhaps other settings or the audio IO type selected
> are coming into play?
> 
> Might be worth creating a new user, and testing with that user ?

Good catch.

Audacity 2.1.2-0.7.rc1 works fine with a newly created user.

Ran "strace -o audacity.trace audacity", attaching the full output.

Here are the last few lines...


mkdir("/home/tbl/.gnome2/accels", 0700) = -1 EEXIST (File exists)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libbonobo-2.0.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libbonobo-2.0.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libbonobo-2.0.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libbonobo-2.0.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/X11/locale/locale.alias", O_RDONLY) = 15
fstat(15, {st_mode=S_IFREG|0644, st_size=81707, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7feb0b62b000
read(15, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"..., 4096) = 4096
read(15, "_IN.UTF-8\nbo_IN.utf8\t\t\t\t\tbo_IN.U"..., 4096) = 4096
read(15, "ro\t\t\t\t\tde_DE.ISO8859-15\nde_DE.88"..., 4096) = 4096
read(15, "\tes_ES.ISO8859-1\nes.UTF-8\t\t\t\t\tes"..., 4096) = 4096
read(15, "o88591\t\t\t\t\tfi_FI.ISO8859-1\nfi_FI"..., 4096) = 4096
read(15, "F-8\t\t\t\t\the_IL.UTF-8\nhi\t\t\t\t\t\thi_I"..., 4096) = 4096
read(15, "t_LT.ISO8859-13\nlt_LT\t\t\t\t\t\tlt_LT"..., 4096) = 4096
read(15, "DE.iso88591\t\t\t\t\tpd_DE.ISO8859-1\n"..., 4096) = 4096
read(15, "\t\t\tss_ZA.ISO8859-1\nss_ZA.iso8859"..., 4096) = 4096
read(15, ".big5hkscs\nzh_HK.BIG5-HKSCS\t\t\t\tz"..., 4096) = 4096
read(15, "O8859-1\naf_ZA.iso88591:\t\t\t\t\taf_Z"..., 4096) = 4096
read(15, "\tca_ES.ISO8859-1\nca_AD:\t\t\t\t\t\tca_"..., 4096) = 4096
read(15, ".utf8:\t\t\t\t\tde_DE.UTF-8\nde_LU:\t\t\t"..., 4096) = 4096
close(15)                               = 0
munmap(0x7feb0b62b000, 4096)            = 0
open("/usr/share/X11/locale/locale.dir", O_RDONLY) = 15
fstat(15, {st_mode=S_IFREG|0644, st_size=36949, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7feb0b62b000
read(15, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"..., 4096) = 4096
read(15, "C_LOCALE\t\t\tes_NI.ISO8859-1\niso88"..., 4096) = 4096
read(15, "OCALE\t\t\tph_PH.ISO8859-1\niso8859-"..., 4096) = 4096
read(15, "\nen_US.UTF-8/XLC_LOCALE\t\t\ten_BE."..., 4096) = 4096
read(15, "T.UTF-8\nen_US.UTF-8/XLC_LOCALE\t\t"..., 4096) = 4096
read(15, "5\niso8859-1/XLC_LOCALE:\t\t\tde_DE."..., 4096) = 4096
read(15, "LE:\t\t\thy_AM.ARMSCII-8\niso8859-1/"..., 4096) = 4096
read(15, "LE:\t\t\tzh_CN.gb2312\nzh_CN.gbk/XLC"..., 4096) = 4096
close(15)                               = 0
munmap(0x7feb0b62b000, 4096)            = 0
access("/usr/share/X11/locale/en_US.UTF-8/XLC_LOCALE", R_OK) = 0
open("/usr/share/X11/locale/en_US.UTF-8/XLC_LOCALE", O_RDONLY) = 15
fstat(15, {st_mode=S_IFREG|0644, st_size=4255, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7feb0b62b000
read(15, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"..., 4096) = 4096
read(15, "GR\n}\n \n#\tcs20 class\ncs15\t{\n\tside"..., 4096) = 159
read(15, "", 4096)                      = 0
close(15)                               = 0
munmap(0x7feb0b62b000, 4096)            = 0
--- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0x5c} ---
+++ killed by SIGSEGV (core dumped) +++

Comment 8 Fedora Update System 2016-01-02 00:59:30 UTC
audacity-2.1.2-0.8.rc2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-558a83f721

Comment 9 Tom London 2016-01-02 15:38:22 UTC
Nope: audacity-2.1.2-0.8.rc2.fc23 still segfaults for me.

Program received signal SIGSEGV, Segmentation fault.
strlen () at ../sysdeps/x86_64/strlen.S:106
106		movdqu	(%rax), %xmm12
(gdb) set pagination off
(gdb) thread apply bt full
(gdb) thread apply all bt full

Thread 4 (Thread 0x7fffd196f700 (LWP 3883)):
#0  0x00007ffff073effd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff1a3b16c in g_main_context_iterate (priority=2147483647, n_fds=2, fds=0x7fffc80010c0, timeout=<optimized out>, context=0x7fffcc00f4e0) at gmain.c:4135
        poll_func = 0x7ffff1a4a060 <g_poll>
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 2
        allocated_nfds = 2
        fds = 0x7fffc80010c0
#2  0x00007ffff1a3b16c in g_main_context_iterate (context=0x7fffcc00f4e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 2
        allocated_nfds = 2
        fds = 0x7fffc80010c0
#3  0x00007ffff1a3b4f2 in g_main_loop_run (loop=0x7fffcc00f470) at gmain.c:4034
        __func__ = "g_main_loop_run"
#4  0x00007ffff205c336 in gdbus_shared_thread_func (user_data=0x7fffcc00f4b0) at gdbusprivate.c:246
        data = 0x7fffcc00f4b0
#5  0x00007ffff1a61835 in g_thread_proxy (data=0x555556421720) at gthread.c:778
        thread = <optimized out>
#6  0x00007ffff776d60a in start_thread (arg=0x7fffd196f700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7fffd196f700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736709719808, 6117756622925256439, 140736726501311, 140736709719808, 8388608, 0, -6117858541815408905, -6117773056340732169}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff074aa9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fffd2170700 (LWP 3882)):
#0  0x00007ffff073effd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff1a3b16c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7fffc40008c0, timeout=<optimized out>, context=0x7fffcc00ec60) at gmain.c:4135
        poll_func = 0x7ffff1a4a060 <g_poll>
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffc40008c0
#2  0x00007ffff1a3b16c in g_main_context_iterate (context=context@entry=0x7fffcc00ec60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffc40008c0
#3  0x00007ffff1a3b27c in g_main_context_iteration (context=0x7fffcc00ec60, may_block=may_block@entry=1) at gmain.c:3901
        retval = <optimized out>
#4  0x00007ffff1a3b2b9 in glib_worker_main (data=<optimized out>) at gmain.c:5672
#5  0x00007ffff1a61835 in g_thread_proxy (data=0x5555564216d0) at gthread.c:778
        thread = <optimized out>
#6  0x00007ffff776d60a in start_thread (arg=0x7fffd2170700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7fffd2170700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736718112512, 6117756622925256439, 140736726500959, 140736718112512, 8388608, 0, -6117850845770885385, -6117773056340732169}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff074aa9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fffd2971700 (LWP 3881)):
#0  0x00007ffff073effd in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007ffff1a3b16c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7fffcc0010e0, timeout=<optimized out>, context=0x555556427ea0) at gmain.c:4135
        poll_func = 0x7ffff1a4a060 <g_poll>
        max_priority = 2147483647
        timeout = 24999
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffcc0010e0
#2  0x00007ffff1a3b16c in g_main_context_iterate (context=context@entry=0x555556427ea0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
        max_priority = 2147483647
        timeout = 24999
        some_ready = <optimized out>
        nfds = 1
        allocated_nfds = 1
        fds = 0x7fffcc0010e0
#3  0x00007ffff1a3b27c in g_main_context_iteration (context=context@entry=0x555556427ea0, may_block=may_block@entry=1) at gmain.c:3901
        retval = <optimized out>
#4  0x00007fffd29792ad in dconf_gdbus_worker_thread (user_data=0x555556427ea0) at dconf-gdbus-thread.c:82
        context = 0x555556427ea0
#5  0x00007ffff1a61835 in g_thread_proxy (data=0x5555564210f0) at gthread.c:778
        thread = <optimized out>
#6  0x00007ffff776d60a in start_thread (arg=0x7fffd2971700) at pthread_create.c:334
        __res = <optimized out>
        pd = 0x7fffd2971700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140736726505216, 6117756622925256439, 140737488344399, 140736726505216, 8388608, 0, -6117851943671900425, -6117773056340732169}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#7  0x00007ffff074aa9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7ffff7f13b00 (LWP 3877)):
#0  0x00007ffff06d2b5a in strlen () at ../sysdeps/x86_64/strlen.S:106
#1  0x00007ffff1a591f3 in g_strdup (str=str@entry=0x54 <error: Cannot access memory at address 0x54>) at gstrfuncs.c:362
        new_str = <optimized out>
        length = <optimized out>
#2  0x00007fffd5d6db05 in CORBA_Context_set_one_value (ctx=0x555556478110, prop_name=prop_name@entry=0x7fffd7b0aa4f "display", value=0x54 <error: Cannot access memory at address 0x54>, ev=ev@entry=0x7fffffffdc80) at corba-context.c:115
        old_nom = 0x55555640d0e0
        old_value = 0x38
        __func__ = "CORBA_Context_set_one_value"
#3  0x00007fffd7ad9ad6 in do_low_level_init () at bonobo-ui-main.c:197
        context = <optimized out>
        ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, _release = 0 '\000'}}
        display = <optimized out>
        xdisplay = 0x55555641d840
#4  0x00007fffd6b0777e in gnome_program_postinit (program=0x55555640d0e0 [GnomeProgram]) at gnome-program.c:1835
        i = <optimized out>
        a_module = <optimized out>
#5  0x00007fffd6b07b4a in gnome_program_init_common (type=93825007648016, app_id=app_id@entry=0x5555563d7260 "Audacity", app_version=app_version@entry=0x555555ecdab9 "1.0", module_info=module_info@entry=0x7fffd7fc1360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556371fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90, nparams=-1, params=0x0) at gnome-program.c:2072
        program = 0x55555640d0e0 [GnomeProgram]
        klass = <optimized out>
        i = <optimized out>
#6  0x00007fffd6b07d65 in gnome_program_initv (type=<optimized out>, app_id=app_id@entry=0x5555563d7260 "Audacity", app_version=app_version@entry=0x555555ecdab9 "1.0", module_info=module_info@entry=0x7fffd7fc1360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556371fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90) at gnome-program.c:2109
#7  0x00007fffd6b07e3f in gnome_program_init (app_id=0x5555563d7260 "Audacity", app_version=0x555555ecdab9 "1.0", module_info=0x7fffd7fc1360 <module_info>, argc=1, argv=0x555556371fe8 <GnomeShutdownInstance+8>, first_property_name=0x0) at gnome-program.c:1888
        program = <optimized out>
        args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fffffffdea0, reg_save_area = 0x7fffffffddb0}}
#8  0x0000555555967694 in GnomeShutdown::GnomeShutdown() (this=0x555556371fe0 <GnomeShutdownInstance>) at AudacityApp.cpp:556
        gnome_program_init = 0x7fffd6b07d70 <gnome_program_init>
        libgnomeui_module_info_get = 0x7fffd7d77db0 <libgnomeui_module_info_get>
        gnome_master_client = 0x7fffd7d51000 <gnome_master_client>
#9  0x00005555558efa7e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() (__initialize_p=1, __priority=65535) at AudacityApp.cpp:583
#10 0x00005555558efa7e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() () at AudacityApp.cpp:2081
#11 0x0000555555e4f41d in __libc_csu_init ()
#12 0x00007ffff066850f in __libc_start_main (main=0x5555558efa10 <main(int, char**)>, argc=1, argv=0x7fffffffe018, init=0x555555e4f3d0 <__libc_csu_init>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe008) at libc-start.c:245
        result = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1, 140737236435616, 140737340062168, 140737226741977, 140737340062144, 1, 1, 140737351956314}, mask_was_saved = 0}}, priv = {pad = {0x1, 0x7fffffffe018, 0x7fffffffe028, 0x7ffff7ffe148}, data = {prev = 0x1, cleanup = 0x7fffffffe018, canceltype = -8152}}}
        not_first_call = <optimized out>
#13 0x000055555591af59 in _start ()
(gdb)

Comment 10 Fedora Update System 2016-01-03 03:23:05 UTC
audacity-2.1.2-0.8.rc2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-558a83f721

Comment 11 David Timms 2016-01-03 12:35:06 UTC
OK, I've also asked on the Audacity devel list, but I think those who could help may be away at the moment. Searching the forums etc, I can't see this CORBA error.
Can I please get you to run and attach output of:
- audacity --version
- audacity --test, then Run, then save and attach.
- groups $USER|grep -E "jack|pulse|audio" for both your normal and the login USER that audacity works in.
- the audio IO type that is selected for the user which works, and for your normal user when 2.1.1 is run.
- do you have /tmp and /var/tmp separate (I realize I do - maybe stale lock file..)
- ls -la /tmp
- ls -la /var/tmp
- ls -la /var/tmp/audacity-$USER
What's the desktop environment (I tested rc1 and rc2 on all of cinnamon+fallback, gnome+tradition, openbox, plasma, fluxbox. The Wayland option doesn't work on my machine, is that what you are using ?

Does the working user use a different DesktopEnv than your normal user ?

Comment 12 Tom London 2016-01-03 16:17:35 UTC
OK, will do this in 2 parts, first for my "normal" user (the one where audacity crashes).

[tbl@localhost ~]$ audacity --version
Segmentation fault (core dumped)
[tbl@localhost ~]$ audacity --test
Segmentation fault (core dumped)
[tbl@localhost ~]$ groups tbl | grep -E "jack|pulse|audio"
[tbl@localhost ~]$ 
[tbl@localhost ~]$ ls -la /tmp
total 32
drwxrwxrwt. 12 root root  380 Jan  3 08:09 .
dr-xr-xr-x. 19 root root 4096 Dec 25 07:21 ..
-rw-rw-r--.  1 tbl  tbl   103 Jan  3 08:09 audacity.sh
-rw-------.  1 tbl  tbl  8350 Jan  3 07:35 clementine-art-ON3509.jpg
-rw-------.  1 tbl  tbl  2897 Jan  3 07:35 clementine-art-oO3509.jpg
drwx------.  2 tbl  tbl    60 Jan  3 07:10 .esd-1000
drwxrwxrwt.  2 root root   40 Jan  3 07:07 .font-unix
drwxrwxrwt.  2 root root   80 Jan  3 07:10 .ICE-unix
drwx------.  2 tbl  tbl    40 Dec 31  1969 orbit-tbl
srwxr-xr-x.  1 tbl  tbl     0 Jan  3 07:10 qtsingleapp-clemen-d211-3e8
-rw-r--r--.  1 tbl  tbl     0 Jan  3 07:10 qtsingleapp-clemen-d211-3e8-lockfile
drwx------.  3 root root   60 Jan  3 07:08 systemd-private-f78f1cb8522f4c40a2698c64b33b95fd-colord.service-EStgv0
drwx------.  3 root root   60 Jan  3 07:07 systemd-private-f78f1cb8522f4c40a2698c64b33b95fd-rtkit-daemon.service-gR9GGi
drwxrwxrwt.  2 root root   40 Jan  3 07:07 .Test-unix
drwx------.  2 tbl  tbl    40 Jan  3 07:10 tracker-extract-files.1000
-r--r--r--.  1 tbl  tbl    11 Jan  3 07:10 .X0-lock
-r--r--r--.  1 gdm  gdm    11 Jan  3 07:07 .X1024-lock
drwxrwxrwt.  2 root root   80 Jan  3 07:10 .X11-unix
drwxrwxrwt.  2 root root   40 Jan  3 07:07 .XIM-unix
[tbl@localhost ~]$ ls -la /var/tmp
total 36
drwxrwxrwt.  8 root     root     4096 Jan  3 07:35 .
drwxr-xr-x. 21 root     root     4096 Jan  3 07:07 ..
drwxr-xr-x.  2 abrt     abrt     4096 Dec 19 15:25 abrt
drwxr-xr-x.  2 audacity audacity 4096 Dec 31 07:42 audacity-audacity
drwxr-xr-x.  2 tbl      tbl      4096 Dec 27 07:56 audacity-tbl
drwxr-xr-x.  3 root     root     4096 May 27  2015 .guestfs-0
-rw-------.  1 tbl      tbl      4030 Dec 29 07:41 rpm-tmp.5l03lU
drwx------.  3 root     root     4096 Jan  3 07:08 systemd-private-f78f1cb8522f4c40a2698c64b33b95fd-colord.service-NOwxAf
drwx------.  3 root     root     4096 Jan  3 07:07 systemd-private-f78f1cb8522f4c40a2698c64b33b95fd-rtkit-daemon.service-hCkbmm
[tbl@localhost ~]$ ls -la /audacity-*
ls: cannot access /audacity-*: No such file or directory
[tbl@localhost ~]$ ls -la /var/tmp/audacity-*
/var/tmp/audacity-audacity:
total 8
drwxr-xr-x. 2 audacity audacity 4096 Dec 31 07:42 .
drwxrwxrwt. 8 root     root     4096 Jan  3 07:35 ..

/var/tmp/audacity-tbl:
total 8
drwxr-xr-x. 2 tbl  tbl  4096 Dec 27 07:56 .
drwxrwxrwt. 8 root root 4096 Jan  3 07:35 ..
[tbl@localhost ~]$ 

Desktop environment: I run "stock" gnome on fedup-ed fc23 (gnome3?).

Yes, I run Wayland: it works on my system.

Next I'll post results for working user...

Comment 13 Tom London 2016-01-03 16:44:38 UTC
Here is output from "working user":

[audacity@localhost ~]$ audacity --version

(Audacity:6255): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'

(Audacity:6255): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(Audacity:6255): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed
08:15:38 AM: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8).

(Audacity:6255): Gtk-WARNING **: gtk_disable_setlocale() must be called before gtk_init()
[audacity@localhost ~]$ audacity --test

(Audacity:6273): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'

(Audacity:6273): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(Audacity:6273): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed
08:15:52 AM: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1009,wx containers,compatible with 2.8).

(Audacity:6273): Gtk-WARNING **: gtk_disable_setlocale() must be called before gtk_init()
ALSA lib pcm.c:2267:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2267:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2267:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
Expression 'stream->capture.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4589
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1735
Expression 'AlsaOpen( &alsaApi->baseHostApiRep, params, streamDir, &self->pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1902
Expression 'PaAlsaStreamComponent_Initialize( &self->capture, alsaApi, inParams, StreamDirection_In, NULL != callback )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2166
Expression 'PaAlsaStream_Initialize( stream, alsaHostApi, inputParameters, outputParameters, sampleRate, framesPerBuffer, callback, streamFlags, userData )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2835
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4608
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:614:(snd_pcm_dsnoop_open) unable to open slave
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1735
Expression 'AlsaOpen( &alsaApi->baseHostApiRep, params, streamDir, &self->pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1902
Expression 'PaAlsaStreamComponent_Initialize( &self->capture, alsaApi, inParams, StreamDirection_In, NULL != callback )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2166
Expression 'PaAlsaStream_Initialize( stream, alsaHostApi, inputParameters, outputParameters, sampleRate, framesPerBuffer, callback, streamFlags, userData )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2835
08:15:57: Debug: Unknown accel modifier: 'left'
08:15:57: Debug: Unknown accel modifier: 'click/left'
08:15:57: Debug: Unrecognized accel key 'drag', accel string ignored.
08:15:57: Debug: Unknown accel modifier: 'left'
08:15:57: Debug: Unrecognized accel key 'click', accel string ignored.
08:15:57: Debug: Unknown accel modifier: 'right'
08:15:57: Debug: Unrecognized accel key 'click', accel string ignored.
08:15:57: Debug: Unknown accel modifier: 'left'
08:15:57: Debug: Unknown accel modifier: 'click/left'
08:15:57: Debug: Unrecognized accel key 'drag', accel string ignored.
08:15:57: Debug: Unknown accel modifier: 'left'
08:15:57: Debug: Unrecognized accel key 'click', accel string ignored.
08:15:57: Debug: Unknown accel modifier: 'right'
08:15:57: Debug: Unrecognized accel key 'click', accel string ignored.
08:18:09: Debug: 1 threads were not terminated by the application.
[audacity@localhost ~]$ 
[audacity@localhost ~]$ 
[audacity@localhost ~]$ 
[audacity@localhost ~]$ groups
audacity
[audacity@localhost ~]$

Comment 14 David Timms 2016-01-03 21:18:46 UTC
I've posted the ABI version incompatible info:
http://audacity.238276.n2.nabble.com/Audacity-2-1-2rc1-2-crash-during-startup-for-existing-user-of-2-1-1-74-tt7572006.html

One suggestion was try running other wxGTK3 using apps under both users ?

What is the audacity.sh in /tmp do, and is it being used to start audacity but only for the problem user ?

Comment 15 Arun Raghavan 2016-01-04 03:09:57 UTC
*** Bug 1294499 has been marked as a duplicate of this bug. ***

Comment 16 Arun Raghavan 2016-01-04 03:25:57 UTC
Ugh, sorry, this should have been the first thing to check, in retrospect -- problem seems to only occur on a Wayland sesion for me.

Comment 17 David Timms 2016-01-04 11:40:36 UTC
(In reply to Arun Raghavan from comment #16)
> Ugh, sorry, this should have been the first thing to check, in retrospect --
> problem seems to only occur on a Wayland session for me.

Can you check if any of the other [1] wxGTK3 apps [2] also have trouble under Wayland ?
[1] dnf --enablerepo=*-testing repoquery --whatrequires wxGTK3 --alldeps
[2] 3Depict  4Pane  aegisub  dolphin-emu  filezilla  fityk  freedink-dfarc  poedit  saga

(In reply to Tom London from comment #13)
> Here is output from "working user":
Would you be able to login using a non-wayland DE on your problem user to see if that makes a difference ?

If both of you then able to test with wxGTK from -testing [4] resolve it ?

[3] https://bugzilla.redhat.com/show_bug.cgi?id=1276947
wxTranslateGTKKeyEventToWx segfaults in wayland 
[4] https://bodhi.fedoraproject.org/updates/FEDORA-2016-9109bb0f44

Comment 18 Tom London 2016-01-04 14:36:06 UTC
1). Good catch. Logging in my "audacity crashes" user with either "Gnome" or "Gnome Classic" (as apposed to "Gnome on Wayland") has audacity not segaulting on startup.

2). Upgrading to wxGTK3-3.0.2-12.fc23 does NOT fix the issue for me under Wayland: audacity still crashes. Looks to be the same backtrace (below).

3). I installed filezilla. It appears to start up just fine.

Program received signal SIGSEGV, Segmentation fault.
strlen () at ../sysdeps/x86_64/strlen.S:106
106		movdqu	(%rax), %xmm12
Missing separate debuginfos, use: dnf debuginfo-install wxBase3-3.0.2-12.fc23.x86_64 wxGTK3-3.0.2-12.fc23.x86_64
(gdb) bt full
#0  0x00007ffff06d1b5a in strlen () at ../sysdeps/x86_64/strlen.S:106
#1  0x00007ffff1a581f3 in g_strdup (str=str@entry=0x54 <error: Cannot access memory at address 0x54>) at gstrfuncs.c:362
        new_str = <optimized out>
        length = <optimized out>
#2  0x00007fffd5d6cb05 in CORBA_Context_set_one_value (ctx=0x555556478330, prop_name=prop_name@entry=0x7fffd7b09a4f "display", value=0x54 <error: Cannot access memory at address 0x54>, ev=ev@entry=0x7fffffffdc80) at corba-context.c:115
        old_nom = 0x55555640d0e0
        old_value = 0x38
        __func__ = "CORBA_Context_set_one_value"
#3  0x00007fffd7ad8ad6 in do_low_level_init () at bonobo-ui-main.c:197
        context = <optimized out>
        ev = 
            {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, _release = 0 '\000'}}
        display = <optimized out>
        xdisplay = 0x55555641d840
#4  0x00007fffd6b0677e in gnome_program_postinit (program=
    0x55555640d0e0 [GnomeProgram]) at gnome-program.c:1835
        i = <optimized out>
        a_module = <optimized out>
---Type <return> to continue, or q <return> to quit---
#5  0x00007fffd6b06b4a in gnome_program_init_common (type=93825007648016, app_id=app_id@entry=0x5555563d7260 "Audacity", app_version=app_version@entry=0x555555ecdab9 "1.0", module_info=module_info@entry=0x7fffd7fc0360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556371fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90, nparams=-1, params=0x0)
    at gnome-program.c:2072
        program = 0x55555640d0e0 [GnomeProgram]
        klass = <optimized out>
        i = <optimized out>
#6  0x00007fffd6b06d65 in gnome_program_initv (type=<optimized out>, app_id=app_id@entry=0x5555563d7260 "Audacity", app_version=app_version@entry=0x555555ecdab9 "1.0", module_info=module_info@entry=0x7fffd7fc0360 <module_info>, argc=argc@entry=1, argv=argv@entry=0x555556371fe8 <GnomeShutdownInstance+8>, first_property_name=0x0, args=0x7fffffffdd90) at gnome-program.c:2109
#7  0x00007fffd6b06e3f in gnome_program_init (app_id=0x5555563d7260 "Audacity", app_version=0x555555ecdab9 "1.0", module_info=0x7fffd7fc0360 <module_info>, argc=1, argv=0x555556371fe8 <GnomeShutdownInstance+8>, first_property_name=0x0)
    at gnome-program.c:1888
        program = <optimized out>
        args = 
            {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fffffffdea0, reg_save_area = 0x7fffffffddb0}}
---Type <return> to continue, or q <return> to quit---
#8  0x0000555555967694 in GnomeShutdown::GnomeShutdown() (this=0x555556371fe0 <GnomeShutdownInstance>) at AudacityApp.cpp:556
        gnome_program_init = 0x7fffd6b06d70 <gnome_program_init>
        libgnomeui_module_info_get = 0x7fffd7d76db0 <libgnomeui_module_info_get>
        gnome_master_client = 0x7fffd7d50000 <gnome_master_client>
#9  0x00005555558efa7e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() (__initialize_p=1, __priority=65535) at AudacityApp.cpp:583
#10 0x00005555558efa7e in _GLOBAL__sub_I_EVT_OPEN_AUDIO_FILE() ()
    at AudacityApp.cpp:2081
#11 0x0000555555e4f41d in __libc_csu_init ()
#12 0x00007ffff066750f in __libc_start_main (main=
    0x5555558efa10 <main(int, char**)>, argc=1, argv=0x7fffffffe018, init=
    0x555555e4f3d0 <__libc_csu_init>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe008) at libc-start.c:245
        result = <optimized out>
        unwind_buf = 
              {cancel_jmp_buf = {{jmp_buf = {1, 140737236431520, 140737340062168, 140737226737881, 140737340062144, 1, 1, 140737351956314}, mask_was_saved = 0}}, priv = {pad = {0x1, 0x7fffffffe018, 0x7fffffffe028, 0x7ffff7ffe148}, data = {prev = 0x1, cleanup = 0x7fffffffe018, canceltype = -8152}}}
        not_first_call = <optimized out>
---Type <return> to continue, or q <return> to quit---
#13 0x000055555591af59 in _start ()

Comment 19 Tom London 2016-02-02 14:41:42 UTC
Not exactly sure what changed/happened, but audacity-2.1.2-1.mp3.fc23.x86_64 worked for me when I tried it again yesterday (retried today too).

[System is fully updated fc3].

I did logout, login again requesting Gnome instead of Wayland, ran audacity under Gnome, and then logged in again under Wayland. Voila, audacity is working.

Comment 20 Martin Tarenskeen 2016-02-23 06:59:24 UTC
Just tried audacity-2.1.2-0.8.rc2.fc23.x86_64 from Fedora Testing repo

audacity: symbol lookup error: audacity: undefined symbol: _ZN10soundtouch10SoundTouch14setTempoChangeEf

Comment 21 Martin Tarenskeen 2016-02-23 23:08:17 UTC
(In reply to Martin Tarenskeen from comment #20)
> Just tried audacity-2.1.2-0.8.rc2.fc23.x86_64 from Fedora Testing repo
> 
> audacity: symbol lookup error: audacity: undefined symbol:
> _ZN10soundtouch10SoundTouch14setTempoChangeEf

Downgrading from 
soundtouch-1.9.2-3.fc23.x86_64 
to 
soundtouch-1.4.0-13.fc23.x86_64
fixed my problem. 

I will post a bugreport for soundtouch also.

Comment 22 Fedora Update System 2016-03-03 19:29:05 UTC
audacity-2.1.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560

Comment 23 Fedora Update System 2016-03-05 02:23:04 UTC
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560

Comment 24 Fedora Update System 2016-03-05 22:21:29 UTC
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 fednuc 2016-07-09 20:14:26 UTC
audacity-2.1.2-4.fc24 segfaults under Wayland. Removing config. didn't help, nor did launching it under X11 first (as mentioned above). Works fine under X11.


Note You need to log in before you can comment on or make changes to this bug.